[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[5707] adjust anchors test
From: |
Gavin D. Smith |
Subject: |
[5707] adjust anchors test |
Date: |
Sun, 13 Jul 2014 12:02:22 +0000 |
Revision: 5707
http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5707
Author: gavin
Date: 2014-07-13 12:02:20 +0000 (Sun, 13 Jul 2014)
Log Message:
-----------
adjust anchors test
Modified Paths:
--------------
trunk/ChangeLog
trunk/info/Makefile.am
Added Paths:
-----------
trunk/info/t/adjust-anchors.sh
trunk/info/t/infodir/anchors.info
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2014-07-12 01:45:00 UTC (rev 5706)
+++ trunk/ChangeLog 2014-07-13 12:02:20 UTC (rev 5707)
@@ -1,3 +1,8 @@
+2014-07-13 Gavin Smith <address@hidden>
+
+ * info/t/adjust-anchors.sh: New test.
+ * info/t/infodir/anchors.info: New file.
+
2014-07-11 Gavin Smith <address@hidden>
* info/info-utils.c (scan_node_contents): Call info_find_subfile to get
Modified: trunk/info/Makefile.am
===================================================================
--- trunk/info/Makefile.am 2014-07-12 01:45:00 UTC (rev 5706)
+++ trunk/info/Makefile.am 2014-07-13 12:02:20 UTC (rev 5707)
@@ -108,6 +108,7 @@
t/body-start.sh \
t/end-of-line.sh \
t/last-no-history.sh \
+ t/adjust-anchors.sh \
t/search-after-tag.sh \
t/split-file-menu.sh \
t/index.sh \
Added: trunk/info/t/adjust-anchors.sh
===================================================================
--- trunk/info/t/adjust-anchors.sh (rev 0)
+++ trunk/info/t/adjust-anchors.sh 2014-07-13 12:02:20 UTC (rev 5707)
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+srcdir=${srcdir:-.}
+. $srcdir/t/Init-test.inc
+. $t/Init-inter.inc
+
+# Go to anchor in a UTF-8 encoded file.
+1>$PTY_TYPE \
+ printf
'ganchor-2\r\002\002\002\002\002\002\002\002\002\002\002\002\002\002\rDq' &
+
+LANG=en_US.iso8859-1 $GINFO -f anchors
+
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
+
+. $t/Cleanup.inc
+
Property changes on: trunk/info/t/adjust-anchors.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/info/t/infodir/anchors.info
===================================================================
(Binary files differ)
Property changes on: trunk/info/t/infodir/anchors.info
___________________________________________________________________
Added: svn:mime-type
+ application/octet-stream
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [5707] adjust anchors test,
Gavin D. Smith <=